/**
 * An immutable encapsulation of a playing card.
 *
 * Note: This encapsulation is not appropriate for all card games because each
 * card can only have one possible value and in some card games (e.g.,
 * blackjack) a Card can take on multiple possible values (e.g., an Ace can have
 * the value 1 or 11).
 *
 * @author CS149 Professors
 * @version Stub
 */
public class Card {

   public static final String[] SUITS = {"Clubs", "Diamonds", "Hearts",
       "Spades"};

   public static final String[] RANKS = {null, "Ace", "2", "3", "4", "5", "6",
       "7", "8", "9", "10", "Jack", "Queen", "King"};

   private final int suit;

   private final int rank;

   /**
    * Construct a Card with the given rank and suit.
    *
    * @param rank The rank of the card
    * @param suit The suit of the card
    */
   public Card(int rank, int suit) {
      // Fix
      this.rank = 0;
      this.suit = 0;
   }

   /**
    * Construct a Card with the given rank and suit.
    *
    * @param rank The String representation of the rank
    * @param suit The String representation of the suit
    */
   public Card(String rank, String suit) {
      // Fix
      this.rank = 0;
      this.suit = 0;
   }

   /**
    * Return true if this Card equals the given card and false otherwise.
    *
    * @param other The other Card of interest
    * @return true if the Card objects have the same suit and rank
    */
   public boolean equals(Card other) {
      return false;
   }

   /**
    * Get the rank of this card.
    *
    * @return The rank
    */
   public int getRank() {
      return 0;
   }

   /**
    * Get the suit of this card.
    *
    * @return The suit
    */
   public int getSuit() {
      return 0;
   }

   /**
    * Return the rank of the given String representation (or -1 if the String
    * representation does not correspond to a rank).
    *
    * @param str The String representation of the rank (e.g., "Ace", "2", ...)
    * @return The int rank (or -1)
    */
   public static int parseRank(String str) {
      return -1;
   }

   /**
    * Return the int suit of the given String representation (or -1 if the
    * String representation does not correspond to a suit).
    *
    * @param str The String representation of the rank
    * @return The int suit (or -1)
    */
   public static int parseSuit(String str) {
      return -1;
   }

   /**
    * Return a String representation of this Card.
    *
    * @return The String representation
    */
   public String toString() {
      return null;
   }
}
